Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159534 - system-config-bind exits during zone data load at startup
Summary: system-config-bind exits during zone data load at startup
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-bind
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-03 18:43 UTC by Carey Windahl
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 4.0.0-18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-19 10:19:51 UTC


Attachments (Terms of Use)

Description Carey Windahl 2005-06-03 18:43:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
system-config-bind exits on startup when loading zone data containing MB or RP resource records.  the zone was created as a slave to an MS Active Directory Service (yechhh) zone and transferred from the ADS DNS server.

Version-Release number of selected component (if applicable):
system-config-bind-4.0.0-16

How reproducible:
Always

Steps to Reproduce:
1. created slave zone to MS Active Directory Service zone with MB and RP resource types
2. upon successful zone transfer of new zone, launched system-config-bind

  

Actual Results:  system-config-bind failed to start with the following error:
AttributeError: MB instance has no attribute 'desc'
Manually commenting out the MB resource in the zone data exposed the following:
AttributeError: RP instance has no attribute 'desc'
Manually editting out the RP resource in the zone data aloowed system-config-bind to start as expected

Expected Results:  system-config-bind should start and properly interpret allowed resource types

Additional info:

complete traceback error output follows:
slave zone transferred for the first time from MS active directory zone

[root@fc3test slaves]# /usr/bin/system-config-bind
Traceback (most recent call last):
  File "/usr/sbin/system-config-bind", line 191, in ?
    GUI(sys.argv)
  File "/usr/sbin/system-config-bind", line 91, in __init__
    self.bind=BIND(self, argv)
  File "/usr/share/system-config-bind/BIND.py", line 84, in __init__
    self.load()
  File "/usr/share/system-config-bind/BIND.py", line 184, in load
    self.zoneTree = ZoneTree(self)
  File "/usr/share/system-config-bind/ZoneTree.py", line 1022, in __init__
    s.load()
  File "/usr/share/system-config-bind/ZoneTree.py", line 1044, in load
    s.add_zone(origin, zone)
  File "/usr/share/system-config-bind/ZoneTree.py", line 1182, in add_zone
    s.add_record(z,r)
  File "/usr/share/system-config-bind/ZoneTree.py", line 1224, in add_record
    header=rname + "\t" + r.desc['']
AttributeError: MB instance has no attribute 'desc'

manually commented MB resource record in zone data...got following error:

[root@fc3test slaves]# /usr/bin/system-config-bind
Traceback (most recent call last):
  File "/usr/sbin/system-config-bind", line 191, in ?
    GUI(sys.argv)
  File "/usr/sbin/system-config-bind", line 91, in __init__
    self.bind=BIND(self, argv)
  File "/usr/share/system-config-bind/BIND.py", line 84, in __init__
    self.load()
  File "/usr/share/system-config-bind/BIND.py", line 184, in load
    self.zoneTree = ZoneTree(self)
  File "/usr/share/system-config-bind/ZoneTree.py", line 1022, in __init__
    s.load()
  File "/usr/share/system-config-bind/ZoneTree.py", line 1044, in load
    s.add_zone(origin, zone)
  File "/usr/share/system-config-bind/ZoneTree.py", line 1182, in add_zone
    s.add_record(z,r)
  File "/usr/share/system-config-bind/ZoneTree.py", line 1224, in add_record
    header=rname + "\t" + r.desc['']
AttributeError: RP instance has no attribute 'desc'

manually commented RP resource record in zone data...system-config-bind now starts without error

Comment 1 Jason Vas Dias 2005-07-16 00:52:58 UTC
This bug is now fixed with system-config-bind-4.0.0-18, soon to be in FC updates,
but which meanwhile can be downloaded from: 
http://people.redhat.com/~jvdias/system-config-bind
Please try out this version and let me know of any issues - thanks.

Comment 2 Carey Windahl 2005-07-25 18:30:08 UTC
Installed system-config-bind-4.0.0-18 and confirmed all issues resolved.  Muy bueno!

Comment 3 Walter Justen 2005-08-19 10:19:51 UTC
update package is published


Note You need to log in before you can comment on or make changes to this bug.